[*.cs]

# IDE0058: Il valore dell'espressione non viene mai usato
csharp_style_unused_value_expression_statement_preference = discard_variable:none

# CA1051: Non dichiarare campi di istanza visibili
dotnet_diagnostic.CA1051.severity = none

# CA1303: Non passare valori letterali come parametri localizzati
dotnet_diagnostic.CA1303.severity = none

# CA1806: Non ignorare i risultati del metodo
dotnet_diagnostic.CA1806.severity = none

# CA1305: Specificare IFormatProvider
dotnet_diagnostic.CA1305.severity = none

# CA1031: Do not catch general exception types
dotnet_diagnostic.CA1031.severity = none

# CA1707: Gli identificatori non devono contenere caratteri di sottolineatura
dotnet_diagnostic.CA1707.severity = none

# CA1307: Specificare StringComparison
dotnet_diagnostic.CA1307.severity = none

# CA1063: Implement IDisposable Correctly
dotnet_diagnostic.CA1063.severity = none

# CA1805: Do not initialize unnecessarily
dotnet_diagnostic.CA1805.severity = none

# Default severity for all analyzer diagnostics
dotnet_analyzer_diagnostic.severity = none
